### Function

# Gegl Lookupnew_full

#### Declaration [src]

    GeglLookup*
    gegl_lookup_new_full (
      GeglLookupFunction function,
      gpointer data,
      gfloat start,
      gfloat end,
      gfloat precision
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`function`

  Type: `GeglLookupFunction`

  The function to build a lookup for.

`data`

  Type: `gpointer`

  A user data pointer passed to lookup calls.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`start`

  Type: `gfloat`

  Lower bound of the lookup.

`end`

  Type: `gfloat`

  Upper bound of the lookup.

`precision`

  Type: `gfloat`

  The precision of the lookup table.

#### Return value

Type: `GeglLookup`

A `GeglLookup`.

The data is owned by the called function.